Skip to content

Credits

Server-to-server Credits endpoints, authenticated with your private API key.

List a member's credits

Request

Returns all credits for one customer. API key is used to match the customer to your account for security reasons. Ensure that the customer ID is included in the request path.

Pagination is supported by passing limit and lastCreditEntry values as query parameters. You will get a lastCreditEntry value in the response of the previous request, which can be used for the next. Ensure that the lastCreditEntry value passed to the server is encoded.

Security
api_key
Path
idstringrequired

The customer ID number.

Query
limitnumber

The number of credits to return (for pagination).

lastCreditEntrystring

The last credit entry from the previous request.

curl -i -X GET \
  'https://public.inveterateapi.com/v2.0/admin/members/{id}/credits?limit=0&lastCreditEntry=string' \
  -H 'X-Inveterate-Api-Key: YOUR_API_KEY_HERE'

Responses

Returned upon successful direct action to our database. Action is immediate.

Bodyapplication/json
messagestringrequired

The message associated with the response. Generally, the message only confirms the requested action. In the case of errors, the message will give insight into the source of the error.

dataobjectrequired

The data associated with the response. Data is only returned from errors if the error originates from our backend to give further insight into the nature of the error.

Response
{ "message": "Success", "data": { "id": 1, "name": "John Doe" } }